Login to BloodHound
curl --request POST \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/login \
--header 'Content-Type: application/json' \
--data '
{
"login_method": "secret",
"username": "cool_user@bloodhoundenterprise.io",
"secret": "MySup3rS3cr3tPassw0rd!!!"
}
'import requests
url = "https://your-tenant.bloodhoundenterprise.io/api/v2/login"
payload = {
"login_method": "secret",
"username": "cool_user@bloodhoundenterprise.io",
"secret": "MySup3rS3cr3tPassw0rd!!!"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
login_method: 'secret',
username: 'cool_user@bloodhoundenterprise.io',
secret: 'MySup3rS3cr3tPassw0rd!!!'
})
};
fetch('https://your-tenant.bloodhoundenterprise.io/api/v2/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"user_id": "54623566-213a-4490-9c68-ac44c39b6590",
"auth_expired": false,
"session_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoiNTQ2MjM1NjYtMjEzYS00NDkwLTljNjgtYWM0NGMzOWI2NTkwIiwidXNlciI6ImNvb2xfdXNlckBibG9vZGhvdW5kZW50ZXJwcmlzZS5pbyIsImlhdCI6MTUxNjIzOTAyMn0.1WWo7XpE9a-v6MQ9tHC8ikxmvmS3PuD7bJyNi4hPr_Y"
}
}{
"http_status": 400,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The JSON payload could not be unmarshalled."
}
]
}{
"http_status": 401,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "login",
"message": "Unauthorized"
}
]
}{
"http_status": 403,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "You do not have permission to access this resource"
}
]
}{
"http_status": 429,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "middleware",
"message": "Too many requests. Please try again later."
}
]
}{
"http_status": 500,
"timestamp": "2024-02-19T19:27:43.866Z",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"errors": [
{
"context": "clients",
"message": "The request could not be handled due to an unexpected database error."
}
]
}Auth
Login to BloodHound
Login to BloodHound with user credentials or a one time password.
POST
/
api
/
v2
/
login
Login to BloodHound
Headers
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
Pattern:
^wait=(-1|[0-9]+)$Body
application/json
The request body for logging into the application. secret or otp is required, but not both.
The type of login. Currently only secret is supported.
Available options:
secret The password for the user. This field can be used instead of otp.
The One Time Password for a single login. This field can be used instead of secret
Response
OK
Show child attributes
Show child attributes
⌘I